Update key manager configurations
Updates key manager configurations to modify the settings that secure and manage encryption keys. This action is typically used when adjusting security protocols or adapting to new encryption requirements.
HTTP method and endpoint
PATCH /security/key-manager-configs
Introduced in
ONTAP 9.10
Related ONTAP commands
-
security key-manager config modify
Request Body
| Name | Type | Description |
|---|---|---|
cc_mode_enabled |
boolean |
Indicates whether the Common Criteria Mode configuration is enabled. |
cloud_kms_retry_count |
integer |
Cloud key manager connection retry count. Supported value range of 0-10. |
health_monitor_polling_interval |
integer |
Health Monitor Polling Period, in minutes. Supported value range of 15-30 minutes. |
passphrase |
string |
Current cluster-wide passphrase. This is a required field when setting the cc_mode_enabled field value to true. This is not audited. |
Example request
{
"cloud_kms_retry_count": 3,
"health_monitor_polling_interval": 20,
"passphrase": "The cluster passphrase of length 64-256 ASCII characters."
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
65536139 |
Cluster-wide passphrase is incorrect. |
65536805 |
Common Criteria Mode requires an effective cluster version of ONTAP 9.4 or later. |
65536806 |
Passphrase length error. |
65536807 |
MetroCluster cannot be configured while in Common Criteria mode. |
65536809 |
Common Criteria mode is disabled on the cluster. Contact technical support for assistance in enabling Common Criteria mode. |
65537302 |
The passphrase field is required when changing cc_mode_enabled to true. |
65537303 |
Modifying polling period requires an effective cluster version of ONTAP 9.10 or later. |
65537304 |
Unable to modify polling period because no external key management is configured on the cluster. |
65538404 |
Modifying cloud keymanager retry count requires an effective cluster version of ONTAP 9.11 or later. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
self_link
key_manager_config
Manages the various key manager configuration options.
| Name | Type | Description |
|---|---|---|
cc_mode_enabled |
boolean |
Indicates whether the Common Criteria Mode configuration is enabled. |
cloud_kms_retry_count |
integer |
Cloud key manager connection retry count. Supported value range of 0-10. |
health_monitor_polling_interval |
integer |
Health Monitor Polling Period, in minutes. Supported value range of 15-30 minutes. |
passphrase |
string |
Current cluster-wide passphrase. This is a required field when setting the cc_mode_enabled field value to true. This is not audited. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |